Create Network Status
curl --request POST \
--url https://api.soharhealth.com/v2/network-status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resourceId": "fb701ac1-1246-4860-b1ec-bd916b97a990"
}
'import requests
url = "https://api.soharhealth.com/v2/network-status"
payload = { "resourceId": "fb701ac1-1246-4860-b1ec-bd916b97a990" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({resourceId: 'fb701ac1-1246-4860-b1ec-bd916b97a990'})
};
fetch('https://api.soharhealth.com/v2/network-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.soharhealth.com/v2/network-status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'resourceId' => 'fb701ac1-1246-4860-b1ec-bd916b97a990'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.soharhealth.com/v2/network-status"
payload := strings.NewReader("{\n \"resourceId\": \"fb701ac1-1246-4860-b1ec-bd916b97a990\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.soharhealth.com/v2/network-status")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"resourceId\": \"fb701ac1-1246-4860-b1ec-bd916b97a990\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.soharhealth.com/v2/network-status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"resourceId\": \"fb701ac1-1246-4860-b1ec-bd916b97a990\"\n}"
response = http.request(request)
puts response.read_body{
"requestId": "8f0f640d-8ec0-4a6b-9810-a3433004d418",
"resourceId": "fb701ac1-1246-4860-b1ec-bd916b97a990",
"status": "OON",
"payer": {
"id": "60054",
"name": "Aetna"
},
"providerGroups": [
{
"id": "cb075a05-4510-456c-addb-fc2efdb74686",
"name": "BEHAVIORAL HEALTH CLINICS, LLC",
"status": "OON",
"exceptions": [
{
"id": 100,
"name": "Aetna HM OON"
}
]
}
]
}{
"error": "invalid_request_error",
"param": "requestId"
}{
"error": "invalid_request_error"
}{
"error": "Too many requests"
}Network Status
Create Network Status
POST
/
v2
/
network-status
Create Network Status
curl --request POST \
--url https://api.soharhealth.com/v2/network-status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resourceId": "fb701ac1-1246-4860-b1ec-bd916b97a990"
}
'import requests
url = "https://api.soharhealth.com/v2/network-status"
payload = { "resourceId": "fb701ac1-1246-4860-b1ec-bd916b97a990" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({resourceId: 'fb701ac1-1246-4860-b1ec-bd916b97a990'})
};
fetch('https://api.soharhealth.com/v2/network-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.soharhealth.com/v2/network-status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'resourceId' => 'fb701ac1-1246-4860-b1ec-bd916b97a990'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.soharhealth.com/v2/network-status"
payload := strings.NewReader("{\n \"resourceId\": \"fb701ac1-1246-4860-b1ec-bd916b97a990\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.soharhealth.com/v2/network-status")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"resourceId\": \"fb701ac1-1246-4860-b1ec-bd916b97a990\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.soharhealth.com/v2/network-status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"resourceId\": \"fb701ac1-1246-4860-b1ec-bd916b97a990\"\n}"
response = http.request(request)
puts response.read_body{
"requestId": "8f0f640d-8ec0-4a6b-9810-a3433004d418",
"resourceId": "fb701ac1-1246-4860-b1ec-bd916b97a990",
"status": "OON",
"payer": {
"id": "60054",
"name": "Aetna"
},
"providerGroups": [
{
"id": "cb075a05-4510-456c-addb-fc2efdb74686",
"name": "BEHAVIORAL HEALTH CLINICS, LLC",
"status": "OON",
"exceptions": [
{
"id": 100,
"name": "Aetna HM OON"
}
]
}
]
}{
"error": "invalid_request_error",
"param": "requestId"
}{
"error": "invalid_request_error"
}{
"error": "Too many requests"
}Authorizations
Include an OAuth 2.0 bearer token in the Authorization header. See Authentication.
Body
application/json
A Sohar Verification ID
Example:
"fb701ac1-1246-4860-b1ec-bd916b97a990"
Response
A Network Status Request
Unique identifier for the Network Status request
Example:
"0942a568-b015-438e-b7be-d0234f401f35"
The Sohar Verification ID in the request
Example:
"fb701ac1-1246-4860-b1ec-bd916b97a990"
The overall network status for the Verification
Available options:
INN, OON Show child attributes
Show child attributes
Network status results for each Provider Group
Show child attributes
Show child attributes